function  WWHBookData_AddIndexEntries(P)
{
var A=P.fA("A",null,null,"002");
var B=A.fA("Acknowledge",new Array("21#1830767"));
A=P.fA("B",null,null,"002");
B=A.fA("body type",new Array("32"));
B=A.fA("body types, message",new Array("16"));
B=A.fA("BytesMessage");
var C=B.fA("Write methods",new Array("22#2851612"));
A=P.fA("C",null,null,"002");
B=A.fA("changes from the previous release of TIBCO Enterprise Message Service C and COBOL Reference",new Array("4"));
B=A.fA("character encoding",new Array("12","12"));
B=A.fA("clear body",new Array("21#1830823"));
B=A.fA("clear properties",new Array("21#1830840"));
B=A.fA("client tracing");
C=B.fA("tibems_SetTraceFile",new Array("75#3433209"));
B=A.fA("code pages",new Array("91#3116208"));
B=A.fA("Connection",new Array("49"));
B=A.fA("ConnectionConsumer (not supported)",new Array("10#2120717"));
B=A.fA("console, MVS",new Array("91#3104621"));
B=A.fA("Console_Response",new Array("92"));
B=A.fA("conversion, data type",new Array("20"));
B=A.fA("copy a message",new Array("21#2135552"));
B=A.fA("create a message",new Array("21#2184909"));
B=A.fA("create message from byte array",new Array("21#2166752"));
B=A.fA("customer support",new Array("7"));
A=P.fA("D",null,null,"002");
B=A.fA("data type conversion",new Array("20"));
B=A.fA("delivery mode",new Array("28"));
B=A.fA("Destination");
C=B.fA("overview",new Array("34"));
B=A.fA("destroy message",new Array("21#2155402"));
B=A.fA("dynamic destination",new Array("34"));
A=P.fA("E",null,null,"002");
B=A.fA("EBCDIC",new Array("91#3116208"));
B=A.fA("encoding, character",new Array("12"));
B=A.fA("exceptions",new Array("87"));
A=P.fA("F",null,null,"002");
B=A.fA("fault tolerance");
C=B.fA("ActiveURL",new Array("49#2466599"));
A=P.fA("G",null,null,"002");
B=A.fA("get");
C=B.fA("message properties",new Array("21#3389594"));
B=A.fA("Get");
C=B.fA("MapMessage",new Array("23#1760106"));
A=P.fA("H",null,null,"002");
B=A.fA("headers, message",new Array("17"));
A=P.fA("L",null,null,"002");
B=A.fA("LookupContext",new Array("65"));
A=P.fA("M",null,null,"002");
B=A.fA("MapMessage");
C=B.fA("Get methods",new Array("23#1760106"));
C=B.fA("set methods",new Array("23#1759007"));
B=A.fA("message");
C=B.fA("get property",new Array("21#3389594"));
C=B.fA("selectors",new Array("19"));
B=A.fA("Message");
C=B.fA("Acknowledge",new Array("21#1830767"));
C=B.fA("body types",new Array("16"));
C=B.fA("headers",new Array("17"));
C=B.fA("parts of",new Array("15"));
C=B.fA("properties",new Array("18"));
C=B.fA("recover",new Array("21#4323437"));
C=B.fA("set property methods",new Array("21#3398072"));
B=A.fA("message body type",new Array("32"));
B=A.fA("MessageConsumer",new Array("42"));
B=A.fA("MessageProducer.Close",new Array("45#1895767"));
B=A.fA("MessageProducer.Send",new Array("45#1895786"));
B=A.fA("multicast");
C=B.fA("enable client",new Array("57#3901890"));
C=B.fA("exception callback",new Array("52"));
C=B.fA("multicast daemon",new Array("57#3900923"));
B=A.fA("MVS console",new Array("91#3104621"));
A=P.fA("O",null,null,"002");
B=A.fA("ObjectMessage",new Array("24"));
A=P.fA("P",null,null,"002");
B=A.fA("property, message",new Array("18"));
C=B.fA("set",new Array("21#3398072"));
B=A.fA("proxy, SSL",new Array("57#3117474","57#3118621"));
A=P.fA("Q",null,null,"002");
B=A.fA("Queue",new Array("37"));
B=A.fA("QueueBrowser",new Array("63"));
A=P.fA("R",null,null,"002");
B=A.fA("read");
C=B.fA("tibemsBytesMsg",new Array("22#1853063"));
B=A.fA("Read");
C=B.fA("StreamMethod",new Array("25#1765519"));
B=A.fA("read-only",new Array("21#1830823","21#2166752"));
B=A.fA("recover message",new Array("21#4323437"));
B=A.fA("request",new Array("17#2574864"));
A=P.fA("S",null,null,"002");
B=A.fA("selectors, message",new Array("19"));
B=A.fA("ServerSession (not supported)",new Array("10#2120717"));
B=A.fA("ServerSessionPool (not supported)",new Array("10#2120717"));
B=A.fA("set");
C=B.fA("code pages",new Array("91#3116208"));
B=A.fA("Set");
C=B.fA("MapMessage",new Array("23#1759007"));
C=B.fA("message property",new Array("21#3398072"));
B=A.fA("SSL proxy",new Array("57#3117474","57#3118621"));
B=A.fA("static destination",new Array("34"));
B=A.fA("StreamMessage");
C=B.fA("Read methods",new Array("25#1765519"));
C=B.fA("Write methods",new Array("25#1768346"));
B=A.fA("string and character encoding",new Array("12"));
B=A.fA("string encoding");
C=B.fA("EBCDIC",new Array("91#3116208"));
B=A.fA("support, contacting",new Array("7"));
A=P.fA("T",null,null,"002");
B=A.fA("technical support",new Array("7"));
B=A.fA("temporary destination",new Array("34"));
B=A.fA("TIBCO_HOME",new Array("6#35046"));
B=A.fA("tibems_Close",new Array("75#3094628"));
B=A.fA("tibems_GetAllowCloseInCallback",new Array("75#4091190"));
B=A.fA("tibems_GetConnectAttemptCount",new Array("75#2009985"));
B=A.fA("tibems_GetConnectAttemptDelay",new Array("75#2588098"));
B=A.fA("tibems_GetConnectAttemptTimeout",new Array("75#3288156"));
B=A.fA("tibems_GetExceptionOnFTEvents",new Array("75#4319251"));
B=A.fA("tibems_getExceptionOnFTSwitch",new Array("75#3289745","75#3290013"));
B=A.fA("tibems_GetMulticastDaemon",new Array("75#4015215"));
B=A.fA("tibems_GetMulticastEnabled",new Array("75#4015962"));
B=A.fA("tibems_GetReconnectAttemptCount",new Array("75#2588528"));
B=A.fA("tibems_GetReconnectAttemptDelay",new Array("75#2588544"));
B=A.fA("tibems_GetReconnectAttemptTimeout",new Array("75#3288378"));
B=A.fA("tibems_GetSocketReceiveBufferSize",new Array("75#2024226"));
B=A.fA("tibems_GetSocketSendBufferSize",new Array("75#2024244"));
B=A.fA("tibems_IsConsumerMulticast",new Array("75#4016106"));
B=A.fA("tibems_MVS_BreakFunction",new Array("91#3103366"));
B=A.fA("tibems_SetAllowCloseInCallback",new Array("75#4093064"));
B=A.fA("tibems_SetCodePages()",new Array("91#3116208"));
B=A.fA("tibems_SetConnectAttemptCount",new Array("75#3265972"));
B=A.fA("tibems_SetConnectAttemptDelay",new Array("75#2588217"));
B=A.fA("tibems_SetConnectAttemptTimeout",new Array("75#3288471"));
B=A.fA("tibems_SetExceptionOnFTEvents",new Array("75#4320249"));
B=A.fA("tibems_SetMulticastDaemon",new Array("75#4016892"));
B=A.fA("tibems_SetMulticastEnabled",new Array("75#4017118"));
B=A.fA("tibems_SetMulticastExceptionListener",new Array("75#4017895"));
B=A.fA("tibems_SetReconnectAttemptCount",new Array("75#2020592"));
B=A.fA("tibems_SetReconnectAttemptDelay",new Array("75#2588655"));
B=A.fA("tibems_SetReconnectAttemptTimeout",new Array("75#3288696"));
B=A.fA("tibems_SetSocketReceiveBufferSize",new Array("75#2022674"));
B=A.fA("tibems_SetSocketSendBufferSize",new Array("75#2022376"));
B=A.fA("tibems_SetTraceFile",new Array("75#3433209"));
B=A.fA("tibems_Sleep",new Array("75#3433376"));
B=A.fA("tibems_status",new Array("88"));
B=A.fA("tibems_Version",new Array("75#2589025"));
B=A.fA("tibemsAcknowledgeMode",new Array("61"));
B=A.fA("tibemsAdmin",new Array("78"));
B=A.fA("tibemsAdmin_Close",new Array("78#3478628"));
B=A.fA("tibemsAdmin_Create",new Array("78#3478673"));
B=A.fA("tibemsAdmin_GetCommandTimeout",new Array("78#3478738"));
B=A.fA("tibemsAdmin_GetConsumer",new Array("78#3478788"));
B=A.fA("tibemsAdmin_GetConsumers",new Array("78#3478843"));
B=A.fA("tibemsAdmin_GetInfo",new Array("78#3478922"));
B=A.fA("tibemsAdmin_GetProducerStatistics",new Array("78#3478972"));
B=A.fA("tibemsAdmin_GetQueue",new Array("78#3479040"));
B=A.fA("tibemsAdmin_GetQueues",new Array("78#3479095"));
B=A.fA("tibemsAdmin_GetTopic",new Array("78#3479156"));
B=A.fA("tibemsAdmin_GetTopics",new Array("78#3479211"));
B=A.fA("tibemsAdmin_SetCommandTimeout",new Array("78#3479272"));
B=A.fA("tibemsAdmin_SetExceptionListener",new Array("78#3479321"));
B=A.fA("tibemsBytesMsg",new Array("22"));
C=B.fA("read",new Array("22#1853063"));
B=A.fA("tibemsBytesMsg_Create",new Array("22#2259467"));
B=A.fA("tibemsBytesMsg_GetBodyLength",new Array("22#2261830"));
B=A.fA("tibemsBytesMsg_GetBytes",new Array("22#2262154"));
B=A.fA("tibemsBytesMsg_ReadBoolean",new Array("22#2264129"));
B=A.fA("tibemsBytesMsg_ReadByte",new Array("22#2264144"));
B=A.fA("tibemsBytesMsg_ReadBytes",new Array("22#2086290"));
B=A.fA("tibemsBytesMsg_ReadChar",new Array("22#2264180"));
B=A.fA("tibemsBytesMsg_ReadDouble",new Array("22#2264208"));
B=A.fA("tibemsBytesMsg_ReadFloat",new Array("22#2265059"));
B=A.fA("tibemsBytesMsg_ReadInt",new Array("22#2265101"));
B=A.fA("tibemsBytesMsg_ReadLong",new Array("22#2265137"));
B=A.fA("tibemsBytesMsg_ReadShort",new Array("22#2265171"));
B=A.fA("tibemsBytesMsg_ReadUnsignedByte",new Array("22#2265208"));
B=A.fA("tibemsBytesMsg_ReadUnsignedShort",new Array("22#2265264"));
B=A.fA("tibemsBytesMsg_ReadUTF",new Array("22#2265364"));
B=A.fA("tibemsBytesMsg_Reset",new Array("22#1734489"));
B=A.fA("tibemsBytesMsg_SetBytes",new Array("22#2267228"));
B=A.fA("tibemsBytesMsg_WriteBoolean",new Array("22#2276891"));
B=A.fA("tibemsBytesMsg_WriteByte",new Array("22#2276961"));
B=A.fA("tibemsBytesMsg_WriteBytes",new Array("22#2275770"));
B=A.fA("tibemsBytesMsg_WriteChar",new Array("22#2276982"));
B=A.fA("tibemsBytesMsg_WriteDouble",new Array("22#2276994"));
B=A.fA("tibemsBytesMsg_WriteFloat",new Array("22#2277006"));
B=A.fA("tibemsBytesMsg_WriteInt",new Array("22#2277018"));
B=A.fA("tibemsBytesMsg_WriteLong",new Array("22#2310338"));
B=A.fA("tibemsBytesMsg_WriteShort",new Array("22#2318413"));
B=A.fA("tibemsBytesMsg_WriteUTF",new Array("22#2277109"));
B=A.fA("tibemsCollection",new Array("79"));
B=A.fA("tibemsCollection_Destroy",new Array("79#3479479"));
B=A.fA("tibemsCollection_GetCount",new Array("79#3479523"));
B=A.fA("tibemsCollection_GetFirst",new Array("79#3479573"));
B=A.fA("tibemsCollection_GetNext",new Array("79#3479623"));
B=A.fA("tibemsConnection_Close",new Array("49#1899612"));
B=A.fA("tibemsConnection_Create",new Array("49#2461539"));
B=A.fA("tibemsConnection_CreateSession",new Array("49#2051023"));
B=A.fA("tibemsConnection_CreateSSL",new Array("49#2462276"));
B=A.fA("tibemsConnection_GetActiveURL",new Array("49#2466599"));
B=A.fA("tibemsConnection_GetClientId",new Array("49#2467344"));
B=A.fA("tibemsConnection_GetExceptionListener",new Array("49#2468236"));
B=A.fA("tibemsConnection_GetMetaData",new Array("49#3506220"));
B=A.fA("tibemsConnection_IsDisconnected",new Array("49#4173330"));
B=A.fA("tibemsConnection_SetClientId",new Array("49#2469639"));
B=A.fA("tibemsConnection_SetExceptionListener",new Array("49#2468452"));
B=A.fA("tibemsConnection_Start",new Array("49#2051040"));
B=A.fA("tibemsConnection_Stop",new Array("49#2051057"));
B=A.fA("tibemsConnectionFactory",new Array("57"));
B=A.fA("tibemsConnectionFactory_Create",new Array("57#1907566"));
B=A.fA("tibemsConnectionFactory_CreateConnection",new Array("57#1907624"));
B=A.fA("tibemsConnectionFactory_CreateXAConnection",new Array("57#3921971"));
B=A.fA("tibemsConnectionFactory_Destroy",new Array("57#2498560"));
B=A.fA("tibemsConnectionFactory_Print",new Array("57#3365673"));
B=A.fA("tibemsConnectionFactory_SetClientID",new Array("57#3365676"));
B=A.fA("tibemsConnectionFactory_SetConnectAttemptCount",new Array("57#2500323"));
B=A.fA("tibemsConnectionFactory_SetConnectAttemptDelay",new Array("57#2501044"));
B=A.fA("tibemsConnectionFactory_SetConnectAttemptTimeout",new Array("57#4343921"));
B=A.fA("tibemsConnectionFactory_SetMetric",new Array("57#2501281"));
B=A.fA("tibemsConnectionFactory_SetMulticastDaemon",new Array("57#3900923"));
B=A.fA("tibemsConnectionFactory_SetMulticastEnabled",new Array("57#3901890"));
B=A.fA("tibemsConnectionFactory_SetPkPassword",new Array("57#3295422"));
B=A.fA("tibemsConnectionFactory_SetReconnectAttemptCount",new Array("57#2502038"));
B=A.fA("tibemsConnectionFactory_SetReconnectAttemptDelay",new Array("57#2502071"));
B=A.fA("tibemsConnectionFactory_SetReconnectAttemptTimeout",new Array("57#3287870"));
B=A.fA("tibemsConnectionFactory_SetServerURL",new Array("57#2502807"));
B=A.fA("tibemsConnectionFactory_SetSSLParams",new Array("57#2503608"));
B=A.fA("tibemsConnectionFactory_SetSSLProxy",new Array("57#3117474"));
B=A.fA("tibemsConnectionFactory_SetSSLProxyAuth",new Array("57#3118621"));
B=A.fA("tibemsConnectionFactory_SetSSLProxyHost",new Array("57#3122461"));
B=A.fA("tibemsConnectionFactory_SetSSLProxyPassword",new Array("57#3125107"));
B=A.fA("tibemsConnectionFactory_SetSSLProxyPort",new Array("57#3123930"));
B=A.fA("tibemsConnectionFactory_SetSSLProxyUser",new Array("57#3124929"));
B=A.fA("tibemsConnectionFactory_SetUserName",new Array("57#4164630"));
B=A.fA("tibemsConnectionFactory_SetUserPassword",new Array("57#4171795"));
B=A.fA("tibemsConnectionMetaData",new Array("50"));
B=A.fA("tibemsConnectionMetaData_GetEMSMajorVersion",new Array("50#3592230"));
B=A.fA("tibemsConnectionMetaData_GetEMSMinorVersion",new Array("50#3592230"));
B=A.fA("tibemsConnectionMetaData_GetEMSProviderName",new Array("50#3590553","50#3594422"));
B=A.fA("tibemsConnectionMetaData_GetEMSVersion",new Array("50#3592230"));
B=A.fA("tibemsConnectionMetaData_GetProviderMajorVersion",new Array("50#3592233","50#3616725"));
B=A.fA("tibemsConnectionMetaData_GetProviderMinorVersion",new Array("50#3592233","50#3708826"));
B=A.fA("tibemsConnectionMetaData_GetProviderVersion",new Array("50#3592233","50#3708840"));
B=A.fA("tibemsConsumerInfo",new Array("80"));
B=A.fA("tibemsConsumerInfo_Destroy",new Array("80#3479985"));
B=A.fA("tibemsConsumerInfo_GetCreateTime",new Array("80#3480029"));
B=A.fA("tibemsConsumerInfo_GetCurrentMsgCountSentByServer",new Array("80#3480079"));
B=A.fA("tibemsConsumerInfo_GetCurrentMsgSizeSentByServer",new Array("80#3480128"));
B=A.fA("tibemsConsumerInfo_GetDestinationName",new Array("80#3480177"));
B=A.fA("tibemsConsumerInfo_GetDestinationType",new Array("80#3480231"));
B=A.fA("tibemsConsumerInfo_GetDetailedStatistics",new Array("80#3480280"));
B=A.fA("tibemsConsumerInfo_GetDurableName",new Array("80#3910264"));
B=A.fA("tibemsConsumerInfo_GetElapsedSinceLastAcknowledged",new Array("80#3480379"));
B=A.fA("tibemsConsumerInfo_GetElapsedSinceLastSent",new Array("80#3480428"));
B=A.fA("tibemsConsumerInfo_GetID",new Array("80#3480477"));
B=A.fA("tibemsConsumerInfo_GetPendingMessageCount",new Array("80#3480526"));
B=A.fA("tibemsConsumerInfo_GetPendingMessageSize",new Array("80#3480575"));
B=A.fA("tibemsConsumerInfo_GetStatistics",new Array("80#3480624"));
B=A.fA("tibemsConsumerInfo_GetTotalAcknowledgedCount",new Array("80#3480673"));
B=A.fA("tibemsConsumerInfo_GetTotalMsgCountSentByServer",new Array("80#3480722"));
B=A.fA("tibemsConsumerInfo_isActive",new Array("80#3480771"));
B=A.fA("tibemsConsumerInfo_IsConnected",new Array("80#3480820"));
B=A.fA("tibemsConsumerInfo_IsConnectionConsumer",new Array("80#3480868"));
B=A.fA("tibemsd",new Array("57#2106766","64#1941905"));
B=A.fA("tibemsDeliveryMode",new Array("28"));
B=A.fA("tibemsDestination",new Array("36"));
B=A.fA("tibemsDestination_Copy",new Array("36#2764600"));
B=A.fA("tibemsDestination_Create",new Array("36#2414695"));
B=A.fA("tibemsDestination_Destroy",new Array("36#2414762"));
B=A.fA("tibemsDestination_GetName",new Array("36#2415751"));
B=A.fA("tibemsDestination_GetType",new Array("36#2415956"));
B=A.fA("tibemsDetailedDestStat",new Array("81"));
B=A.fA("tibemsDetailedDestStat_GetDestinationName",new Array("81#3481053"));
B=A.fA("tibemsDetailedDestStat_GetDestinationType",new Array("81#3481108"));
B=A.fA("tibemsDetailedDestStat_GetStatData",new Array("81#3481157"));
B=A.fA("tibemsExceptionCallback",new Array("51","52"));
B=A.fA("tibemsFactoryLoadBalanceMetric",new Array("58"));
B=A.fA("tibemsLookupContext_Create",new Array("65#1936231"));
B=A.fA("tibemsLookupContext_CreateExternal",new Array("65#2536395"));
B=A.fA("tibemsLookupContext_CreateSSL",new Array("65#1936231"));
B=A.fA("tibemsLookupContext_Destroy",new Array("65#2536999"));
B=A.fA("tibemsLookupContext_Lookup",new Array("65#1936026"));
B=A.fA("tibemsLookupContext_LookupConnectionFactory",new Array("65#1936026"));
B=A.fA("tibemsLookupContext_LookupDestination",new Array("65#1936026"));
B=A.fA("tibemsLookupParams",new Array("66"));
B=A.fA("tibemsLookupParams_Create",new Array("66#2867410"));
B=A.fA("tibemsLookupParams_Destroy",new Array("66#2538520"));
B=A.fA("tibemsLookupParams_GetLdapServerUrl",new Array("66#2538879"));
B=A.fA("tibemsLookupParams_SetLdapBaseDN",new Array("66#2539316"));
B=A.fA("tibemsLookupParams_SetLdapCAFile",new Array("66#2541392"));
B=A.fA("tibemsLookupParams_SetLdapCAPath",new Array("66#2541504"));
B=A.fA("tibemsLookupParams_SetLdapCertFile",new Array("66#2541565"));
B=A.fA("tibemsLookupParams_SetLdapCiphers",new Array("66#2542391"));
B=A.fA("tibemsLookupParams_SetLdapConnType",new Array("66#2540835"));
B=A.fA("tibemsLookupParams_SetLdapCredential",new Array("66#2540182"));
B=A.fA("tibemsLookupParams_SetLdapKeyFile",new Array("66#2541914"));
B=A.fA("tibemsLookupParams_SetLdapPrincipal",new Array("66#2539789"));
B=A.fA("tibemsLookupParams_SetLdapRandFile",new Array("66#2542280"));
B=A.fA("tibemsLookupParams_SetLdapSearchScope",new Array("66#2540318"));
B=A.fA("tibemsLookupParams_SetLdapServerUrl",new Array("66#2540070"));
B=A.fA("tibemsMapMsg",new Array("23"));
B=A.fA("tibemsMapMsg_Create",new Array("23#2342118"));
B=A.fA("tibemsMapMsg_GetBoolean",new Array("23#2343235"));
B=A.fA("tibemsMapMsg_GetByte",new Array("23#2344425"));
B=A.fA("tibemsMapMsg_GetBytes",new Array("23#2344410"));
B=A.fA("tibemsMapMsg_GetChar",new Array("23#2344439"));
B=A.fA("tibemsMapMsg_GetDouble",new Array("23#2343930"));
B=A.fA("tibemsMapMsg_GetField",new Array("23#2343949"));
B=A.fA("tibemsMapMsg_GetFloat",new Array("23#2343965"));
B=A.fA("tibemsMapMsg_GetInt",new Array("23#2343983"));
B=A.fA("tibemsMapMsg_GetLong",new Array("23#2344159"));
B=A.fA("tibemsMapMsg_GetMapMsg",new Array("23#2343811"));
B=A.fA("tibemsMapMsg_GetMapNames",new Array("23#2344473"));
B=A.fA("tibemsMapMsg_GetShort",new Array("23#2344235"));
B=A.fA("tibemsMapMsg_GetString",new Array("23#2344258"));
B=A.fA("tibemsMapMsg_ItemExists",new Array("23#2086325"));
B=A.fA("tibemsMapMsg_SetBoolean",new Array("23#2345723"));
B=A.fA("tibemsMapMsg_SetByte",new Array("23#2345732"));
B=A.fA("tibemsMapMsg_SetBytes",new Array("23#2634654"));
B=A.fA("tibemsMapMsg_SetChar",new Array("23#2634570"));
B=A.fA("tibemsMapMsg_SetDouble",new Array("23#2345860"));
B=A.fA("tibemsMapMsg_SetDoubleArray",new Array("23#2345877"));
B=A.fA("tibemsMapMsg_SetFloat",new Array("23#2411720"));
B=A.fA("tibemsMapMsg_SetFloatArray",new Array("23#2347840"));
B=A.fA("tibemsMapMsg_SetInt",new Array("23#2411735"));
B=A.fA("tibemsMapMsg_SetIntArray",new Array("23#2348770"));
B=A.fA("tibemsMapMsg_SetLong",new Array("23#2411749"));
B=A.fA("tibemsMapMsg_SetLongArray",new Array("23#2348903"));
B=A.fA("tibemsMapMsg_SetMapMsg",new Array("23#2411812"));
B=A.fA("tibemsMapMsg_SetReferencedBytes",new Array("23#2636188"));
B=A.fA("tibemsMapMsg_SetShort",new Array("23#2411763"));
B=A.fA("tibemsMapMsg_SetShortArray",new Array("23#2348921"));
B=A.fA("tibemsMapMsg_SetStreamMsg",new Array("23#2589423"));
B=A.fA("tibemsMapMsg_SetString",new Array("23#2411777"));
B=A.fA("tibemsMsg",new Array("21"));
B=A.fA("tibemsMsg_Acknowledge",new Array("21#1830767"));
B=A.fA("tibemsMsg_ClearBody",new Array("21#1830823"));
B=A.fA("tibemsMsg_ClearProperties",new Array("21#1830840"));
B=A.fA("tibemsMsg_Create",new Array("21#2184909"));
B=A.fA("tibemsMsg_CreateCopy",new Array("21#2135552"));
B=A.fA("tibemsMsg_CreateFromBytes",new Array("21#2166752"));
B=A.fA("tibemsMsg_Destroy",new Array("21#2155402"));
B=A.fA("tibemsMsg_GetAsBytes",new Array("21#2157312"));
B=A.fA("tibemsMsg_GetAsBytesCopy",new Array("21#2157791"));
B=A.fA("tibemsMsg_GetBodyType",new Array("21#2186287"));
B=A.fA("tibemsMsg_GetBooleanProperty",new Array("21#3389620"));
B=A.fA("tibemsMsg_GetByteProperty",new Array("21#3389635"));
B=A.fA("tibemsMsg_GetByteSize",new Array("21#2192149"));
B=A.fA("tibemsMsg_GetCorrelationID",new Array("21#2197721"));
B=A.fA("tibemsMsg_GetDeliveryMode",new Array("21#2161344"));
B=A.fA("tibemsMsg_GetDestination",new Array("21#2198105"));
B=A.fA("tibemsMsg_GetDoubleProperty",new Array("21#3389650"));
B=A.fA("tibemsMsg_GetEncoding",new Array("21#2201639"));
B=A.fA("tibemsMsg_GetExpiration",new Array("21#2203128"));
B=A.fA("tibemsMsg_GetFloatProperty",new Array("21#3389665"));
B=A.fA("tibemsMsg_GetIntProperty",new Array("21#3389680"));
B=A.fA("tibemsMsg_GetLongProperty",new Array("21#3389695"));
B=A.fA("tibemsMsg_GetMessageID",new Array("21#2204775"));
B=A.fA("tibemsMsg_GetPriority",new Array("21#2204785"));
B=A.fA("tibemsMsg_GetProperty",new Array("21#3389605"));
B=A.fA("tibemsMsg_GetPropertyNames",new Array("21#2211937"));
B=A.fA("tibemsMsg_GetRedelivered",new Array("21#2213110"));
B=A.fA("tibemsMsg_GetReplyTo",new Array("21#2250045"));
B=A.fA("tibemsMsg_GetShortProperty",new Array("21#3389710"));
B=A.fA("tibemsMsg_GetStringProperty",new Array("21#3389725"));
B=A.fA("tibemsMsg_GetTimestamp",new Array("21#2213492"));
B=A.fA("tibemsMsg_GetType",new Array("21#2250351"));
B=A.fA("tibemsMsg_MakeWriteable",new Array("21#2253155"));
B=A.fA("tibemsMsg_Print",new Array("21#2215059"));
B=A.fA("tibemsMsg_PrintToBuffer",new Array("21#3372448"));
B=A.fA("tibemsMsg_PropertyExists",new Array("21#1831049"));
B=A.fA("tibemsMsg_Recover",new Array("21#4323437"));
B=A.fA("tibemsMsg_SetBooleanProperty",new Array("21#3398082"));
B=A.fA("tibemsMsg_SetByteProperty",new Array("21#3398097"));
B=A.fA("tibemsMsg_SetCorrelationID",new Array("21#2216514"));
B=A.fA("tibemsMsg_SetDeliveryMode",new Array("21#2216602"));
B=A.fA("tibemsMsg_SetDestination",new Array("21#2216688"));
B=A.fA("tibemsMsg_SetDoubleProperty",new Array("21#3398112"));
B=A.fA("tibemsMsg_SetEncoding",new Array("21#2216731"));
B=A.fA("tibemsMsg_SetExpiration",new Array("21#2216775"));
B=A.fA("tibemsMsg_SetFloatProperty",new Array("21#3398127"));
B=A.fA("tibemsMsg_SetIntProperty",new Array("21#3398142"));
B=A.fA("tibemsMsg_SetLongProperty",new Array("21#3398157"));
B=A.fA("tibemsMsg_SetMessageID",new Array("21#2216817"));
B=A.fA("tibemsMsg_SetPriority",new Array("21#2216864"));
B=A.fA("tibemsMsg_SetRedelivered",new Array("21#3400608"));
B=A.fA("tibemsMsg_SetReplyTo",new Array("21#2242903"));
B=A.fA("tibemsMsg_SetShortProperty",new Array("21#3398172"));
B=A.fA("tibemsMsg_SetStringProperty",new Array("21#3398187"));
B=A.fA("tibemsMsg_SetTimestamp",new Array("21#2217154"));
B=A.fA("tibemsMsg_SetType",new Array("21#2254574"));
B=A.fA("tibemsMsgCallback",new Array("43"));
B=A.fA("tibemsMsgConsumer_Close",new Array("42#2423727"));
B=A.fA("tibemsMsgConsumer_GetDestination",new Array("42#3917901"));
B=A.fA("tibemsMsgConsumer_GetMsgListener",new Array("42#1886079"));
B=A.fA("tibemsMsgConsumer_GetMsgSelector",new Array("42#2424758"));
B=A.fA("tibemsMsgConsumer_GetNoLocal",new Array("42#3920053"));
B=A.fA("tibemsMsgConsumer_Receive",new Array("42#1886257"));
B=A.fA("tibemsMsgConsumer_ReceiveNoWait",new Array("42#2425827"));
B=A.fA("tibemsMsgConsumer_ReceiveTimeout",new Array("42#2428661"));
B=A.fA("tibemsMsgConsumer_SetMsgListener",new Array("42#2429622"));
B=A.fA("tibemsMsgEnum_Destroy",new Array("30#2605609"));
B=A.fA("tibemsMsgEnum_GetNextName",new Array("30#2605636"));
B=A.fA("tibemsMsgField_Print",new Array("31#2617841"));
B=A.fA("tibemsMsgField_PrintToBuffer",new Array("31#3432933"));
B=A.fA("tibemsMsgProducer",new Array("45"));
B=A.fA("tibemsMsgProducer_Close",new Array("45#1895767"));
B=A.fA("tibemsMsgProducer_GetDeliveryMode",new Array("45#2432221"));
B=A.fA("tibemsMsgProducer_GetDestination",new Array("45#3916081"));
B=A.fA("tibemsMsgProducer_GetDisableMessageID",new Array("45#2435792"));
B=A.fA("tibemsMsgProducer_GetDisableMessageTimestamp",new Array("45#2436679"));
B=A.fA("tibemsMsgProducer_GetPriority",new Array("45#2436832"));
B=A.fA("tibemsMsgProducer_GetTimeToLive",new Array("45#2437674"));
B=A.fA("tibemsMsgProducer_Send",new Array("45#1895786"));
B=A.fA("tibemsMsgProducer_SendEx",new Array("45#2437960"));
B=A.fA("tibemsMsgProducer_SendToDestination",new Array("45#2437974"));
B=A.fA("tibemsMsgProducer_SendToDestinationEx",new Array("45#2437870"));
B=A.fA("tibemsMsgProducer_SetDeliveryMode",new Array("45#2438182"));
B=A.fA("tibemsMsgProducer_SetDisableMessageID",new Array("45#2438216"));
B=A.fA("tibemsMsgProducer_SetDisableMessageTimestamp",new Array("45#2438246"));
B=A.fA("tibemsMsgProducer_SetPriority",new Array("45#2438276"));
B=A.fA("tibemsMsgProducer_SetTimeToLive",new Array("45#2438307"));
B=A.fA("tibemsMsgRequestor",new Array("47"));
B=A.fA("tibemsMsgRequestor_Close",new Array("47#2451528"));
B=A.fA("tibemsMsgRequestor_Create",new Array("47#3918323"));
B=A.fA("tibemsMsgRequestor_Request",new Array("47#2451663"));
B=A.fA("tibemsMsgType",new Array("32"));
B=A.fA("tibemsObjectMsg_Create",new Array("24#2014887"));
B=A.fA("tibemsObjectMsg_GetObjectBytes",new Array("24#2356628"));
B=A.fA("tibemsObjectMsg_SetObjectBytes",new Array("24#2357803"));
B=A.fA("tibemsProducerInfo",new Array("82"));
B=A.fA("tibemsProducerInfo_Destroy",new Array("82#3481341"));
B=A.fA("tibemsProducerInfo_GetCreateTime",new Array("82#3481386"));
B=A.fA("tibemsProducerInfo_GetDestinationName",new Array("82#3481437"));
B=A.fA("tibemsProducerInfo_GetDestinationType",new Array("82#3481492"));
B=A.fA("tibemsProducerInfo_GetDetailedStatistics",new Array("82#3481542"));
B=A.fA("tibemsProducerInfo_GetID",new Array("82#3481593"));
B=A.fA("tibemsProducerInfo_GetStatistics",new Array("82#3481643"));
B=A.fA("tibemsQueue_Create",new Array("37#2810784"));
B=A.fA("tibemsQueue_Destroy",new Array("37#2417284"));
B=A.fA("tibemsQueue_GetQueueName",new Array("37#2417383"));
B=A.fA("tibemsQueueBrowser_Close",new Array("63#1941230"));
B=A.fA("tibemsQueueBrowser_GetMsgSelector",new Array("63#2587639"));
B=A.fA("tibemsQueueBrowser_GetNext",new Array("63#2535099"));
B=A.fA("tibemsQueueBrowser_GetQueue",new Array("63#2535896"));
B=A.fA("tibemsQueueInfo",new Array("83"));
B=A.fA("tibemsQueueInfo_Create",new Array("83#4000176"));
B=A.fA("tibemsQueueInfo_Destroy",new Array("83#3956140"));
B=A.fA("tibemsQueueInfo_GetDeliveredMessageCount",new Array("83#3959967"));
B=A.fA("tibemsQueueInfo_GetFlowControlMaxBytes",new Array("83#3961387"));
B=A.fA("tibemsQueueInfo_GetInboundStatistics",new Array("83#3482045"));
B=A.fA("tibemsQueueInfo_GetMaxBytes",new Array("83#3482094"));
B=A.fA("tibemsQueueInfo_GetMaxMsgs",new Array("83#3482143"));
B=A.fA("tibemsQueueInfo_GetName",new Array("83#3482192"));
B=A.fA("tibemsQueueInfo_GetOutboundStatistics",new Array("83#3482246"));
B=A.fA("tibemsQueueInfo_GetOverflowPolicy",new Array("83#3482295"));
B=A.fA("tibemsQueueInfo_GetPendingMessageCount",new Array("83#3482344"));
B=A.fA("tibemsQueueInfo_GetPendingMessageSize",new Array("83#3482393"));
B=A.fA("tibemsQueueInfo_GetReceiverCount",new Array("83#3482442"));
B=A.fA("tibemsServerInfo",new Array("84"));
B=A.fA("tibemsServerInfo_Destroy",new Array("84#3482596"));
B=A.fA("tibemsServerInfo_GetConsumerCount",new Array("84#3482641"));
B=A.fA("tibemsServerInfo_GetProducerCount",new Array("84#3482691"));
B=A.fA("tibemsServerInfo_GetQueueCount",new Array("84#3482741"));
B=A.fA("tibemsServerInfo_GetTopicCount",new Array("84#3482791"));
B=A.fA("tibemsSession",new Array("60"));
B=A.fA("tibemsSession_Close",new Array("60#1917969"));
B=A.fA("tibemsSession_Commit",new Array("60#2512546"));
B=A.fA("tibemsSession_CreateBrowser",new Array("60#1918491"));
B=A.fA("tibemsSession_CreateBytesMessage",new Array("60#1919906"));
B=A.fA("tibemsSession_CreateConsumer",new Array("60#2514639"));
B=A.fA("tibemsSession_CreateDurableSubscriber",new Array("60#1920214"));
B=A.fA("tibemsSession_CreateMapMessage",new Array("60#1920176"));
B=A.fA("tibemsSession_CreateMessage",new Array("60#2515496"));
B=A.fA("tibemsSession_CreateProducer",new Array("60#1921780"));
B=A.fA("tibemsSession_CreateStreamMessage",new Array("60#1922175"));
B=A.fA("tibemsSession_CreateTemporaryQueue",new Array("60#2051125"));
B=A.fA("tibemsSession_CreateTemporaryTopic",new Array("60#1922453"));
B=A.fA("tibemsSession_CreateTextMessage",new Array("60#1922635"));
B=A.fA("tibemsSession_CreateTextMessageEx",new Array("60#1922635"));
B=A.fA("tibemsSession_DeleteTemporaryQueue",new Array("60#2789068"));
B=A.fA("tibemsSession_DeleteTemporaryTopic",new Array("60#2519092"));
B=A.fA("tibemsSession_GetAcknowledgeMode",new Array("60#1922911"));
B=A.fA("tibemsSession_GetTransacted",new Array("60#2522468"));
B=A.fA("tibemsSession_Recover",new Array("60#2519670"));
B=A.fA("tibemsSession_Rollback",new Array("60#1923578"));
B=A.fA("tibemsSession_Unsubscribe",new Array("60#3289401"));
B=A.fA("tibemsSSL_GetDebugTrace",new Array("53#2662039","53#2662927"));
B=A.fA("tibemsSSL_GetTrace",new Array("53#2662039"));
B=A.fA("tibemsSSL_OpenSSLVersion",new Array("53#2663306"));
B=A.fA("tibemsSSL_SetDebugTrace",new Array("53#2664191"));
B=A.fA("tibemsSSL_SetTrace",new Array("53#2664191"));
B=A.fA("tibemsSSLHostNameVerifier",new Array("55"));
B=A.fA("tibemsSSLParams_AddIssuerCert",new Array("54#2659540"));
B=A.fA("tibemsSSLParams_AddIssuerCertFile",new Array("54#2659540"));
B=A.fA("tibemsSSLParams_AddTrustedCert",new Array("54#2659604"));
B=A.fA("tibemsSSLParams_AddTrustedCertFile",new Array("54#2659604"));
B=A.fA("tibemsSSLParams_Create",new Array("54#2659668"));
B=A.fA("tibemsSSLParams_Destroy",new Array("54#2659678"));
B=A.fA("tibemsSSLParams_GetIdentity",new Array("54#2659699"));
B=A.fA("tibemsSSLParams_GetPrivateKey",new Array("54#2659745"));
B=A.fA("tibemsSSLParams_SetAuthOnly",new Array("54#3450625"));
B=A.fA("tibemsSSLParams_SetCiphers",new Array("54#2659827"));
B=A.fA("tibemsSSLParams_SetExpectedHostName",new Array("54#3450728"));
B=A.fA("tibemsSSLParams_SetHostNameVerifier",new Array("54#2659963"));
B=A.fA("tibemsSSLParams_SetIdentity",new Array("54#2660007"));
B=A.fA("tibemsSSLParams_SetIdentityFile",new Array("54#2660026"));
B=A.fA("tibemsSSLParams_SetPrivateKey",new Array("54#2660065"));
B=A.fA("tibemsSSLParams_SetPrivateKeyFile",new Array("54#2660084"));
B=A.fA("tibemsSSLParams_SetRandData",new Array("54#2660123"));
B=A.fA("tibemsSSLParams_SetRandEGD",new Array("54#2660152"));
B=A.fA("tibemsSSLParams_SetRandFile",new Array("54#2660141"));
B=A.fA("tibemsSSLParams_SetVerifyHost",new Array("54#2660260"));
B=A.fA("tibemsSSLParams_SetVerifyHostName",new Array("54#2660260"));
B=A.fA("tibemsStatData",new Array("85"));
B=A.fA("tibemsStatData_GetByteRate",new Array("85#3482989"));
B=A.fA("tibemsStatData_GetMessageRate",new Array("85#3483038"));
B=A.fA("tibemsStatData_GetTotalBytes",new Array("85#3483087"));
B=A.fA("tibemsStatData_GetTotalMessages",new Array("85#3483137"));
B=A.fA("tibemsStatus_GetText",new Array("88#2574962"));
B=A.fA("tibemsStreamMsg",new Array("25"));
B=A.fA("tibemsStreamMsg_Create",new Array("25#2358088"));
B=A.fA("tibemsStreamMsg_FreeField",new Array("25#2359338"));
B=A.fA("tibemsStreamMsg_ReadBoolean",new Array("25#2378210"));
B=A.fA("tibemsStreamMsg_ReadByte",new Array("25#2378226"));
B=A.fA("tibemsStreamMsg_ReadBytes",new Array("25#1765632"));
B=A.fA("tibemsStreamMsg_ReadChar",new Array("25#2378259"));
B=A.fA("tibemsStreamMsg_ReadDouble",new Array("25#2378269"));
B=A.fA("tibemsStreamMsg_ReadField",new Array("25#2378898"));
B=A.fA("tibemsStreamMsg_ReadFloat",new Array("25#2378289"));
B=A.fA("tibemsStreamMsg_ReadInt",new Array("25#2378299"));
B=A.fA("tibemsStreamMsg_ReadLong",new Array("25#2378357"));
B=A.fA("tibemsStreamMsg_ReadShort",new Array("25#2378757"));
B=A.fA("tibemsStreamMsg_ReadString",new Array("25#2378803"));
B=A.fA("tibemsStreamMsg_Reset",new Array("25#2050944"));
B=A.fA("tibemsStreamMsg_WriteBoolean",new Array("25#2394823"));
B=A.fA("tibemsStreamMsg_WriteByte",new Array("25#2394830"));
B=A.fA("tibemsStreamMsg_WriteBytes",new Array("25#2396124"));
B=A.fA("tibemsStreamMsg_WriteChar",new Array("25#2394837"));
B=A.fA("tibemsStreamMsg_WriteDouble",new Array("25#2394844"));
B=A.fA("tibemsStreamMsg_WriteDoubleArray",new Array("25#2407412"));
B=A.fA("tibemsStreamMsg_WriteFloat",new Array("25#2394869"));
B=A.fA("tibemsStreamMsg_WriteFloatArray",new Array("25#2407428"));
B=A.fA("tibemsStreamMsg_WriteInt",new Array("25#2394884"));
B=A.fA("tibemsStreamMsg_WriteIntArray",new Array("25#2407436"));
B=A.fA("tibemsStreamMsg_WriteLong",new Array("25#2394899"));
B=A.fA("tibemsStreamMsg_WriteLongArray",new Array("25#2408445"));
B=A.fA("tibemsStreamMsg_WriteMapMsg",new Array("25#2411919"));
B=A.fA("tibemsStreamMsg_WriteShort",new Array("25#2394935"));
B=A.fA("tibemsStreamMsg_WriteShortArray",new Array("25#2408464"));
B=A.fA("tibemsStreamMsg_WriteStreamMsg",new Array("25#2764522"));
B=A.fA("tibemsStreamMsg_WriteString",new Array("25#2394950"));
B=A.fA("tibemsTemporaryQueue",new Array("38"));
B=A.fA("tibemsTemporaryTopic",new Array("39"));
B=A.fA("tibemsTextMsg",new Array("26"));
B=A.fA("tibemsTextMsg_Create",new Array("26#2015044"));
B=A.fA("tibemsTextMsg_GetText",new Array("26#2412177"));
B=A.fA("tibemsTextMsg_SetText",new Array("26#2412220"));
B=A.fA("tibemsTopic_Create",new Array("40#1931391"));
B=A.fA("tibemsTopic_Destroy",new Array("40#2418670"));
B=A.fA("tibemsTopic_GetTopicName",new Array("40#2418815"));
B=A.fA("tibemsTopicInfo",new Array("86"));
B=A.fA("tibemsTopicInfo_Create",new Array("86#4005959"));
B=A.fA("tibemsTopicInfo_Destroy",new Array("86#3483411"));
B=A.fA("tibemsTopicInfo_GetActiveDurableCount",new Array("86#3483455"));
B=A.fA("tibemsTopicInfo_GetDurableCount",new Array("86#3483504"));
B=A.fA("tibemsTopicInfo_GetFlowControlMaxBytes",new Array("86#3483553"));
B=A.fA("tibemsTopicInfo_GetInboundStatistics",new Array("86#3483602"));
B=A.fA("tibemsTopicInfo_GetMaxBytes",new Array("86#3483651"));
B=A.fA("tibemsTopicInfo_GetMaxMsgs",new Array("86#3483700"));
B=A.fA("tibemsTopicInfo_GetName",new Array("86#3483749"));
B=A.fA("tibemsTopicInfo_GetOutboundStatistics",new Array("86#3483803"));
B=A.fA("tibemsTopicInfo_GetOverflowPolicy",new Array("86#3483852"));
B=A.fA("tibemsTopicInfo_GetPendingMessageCount",new Array("86#3483901"));
B=A.fA("tibemsTopicInfo_GetPendingMessageSize",new Array("86#3483950"));
B=A.fA("tibemsTopicInfo_GetSubscriberCount",new Array("86#3483999"));
B=A.fA("tibemsXAConnection_Close",new Array("68#3115854"));
B=A.fA("tibemsXAConnection_Create",new Array("68#2674946"));
B=A.fA("tibemsXAConnection_CreateSSL",new Array("68#2675000"));
B=A.fA("tibemsXAConnection_CreateXASession",new Array("68#3117138"));
B=A.fA("tibemsXAConnection_Get",new Array("68#2675180"));
B=A.fA("tibemsXAConnection_GetXASession",new Array("68#2675765"));
B=A.fA("tibemsXAResource",new Array("70"));
B=A.fA("tibemsXAResource_Commit",new Array("70#2676920"));
B=A.fA("tibemsXAResource_End",new Array("70#2677380"));
B=A.fA("tibemsXAResource_Forget",new Array("70#2677833"));
B=A.fA("tibemsXAResource_GetRMID",new Array("70#2677916"));
B=A.fA("tibemsXAResource_GetTransactionTimeout",new Array("70#2679932"));
B=A.fA("tibemsXAResource_isSameRM",new Array("70#2678839"));
B=A.fA("tibemsXAResource_Prepare",new Array("70#2679250"));
B=A.fA("tibemsXAResource_Recover",new Array("70#2679329"));
B=A.fA("tibemsXAResource_Rollback",new Array("70#2679816"));
B=A.fA("tibemsXAResource_SetRMID",new Array("70#2678758"));
B=A.fA("tibemsXAResource_SetTransactionTimeout",new Array("70#2678770"));
B=A.fA("tibemsXAResource_Start",new Array("70#2679989"));
B=A.fA("tibemsXASession_Close",new Array("71#2680722"));
B=A.fA("tibemsXASession_GetSession",new Array("71#2681119"));
B=A.fA("tibemsXASession_GetXAResource",new Array("71#2681222"));
B=A.fA("tibx_MVSConsole_Create",new Array("91#3104621"));
B=A.fA("tibx_MVSConsole_Destroy",new Array("91#3104621"));
B=A.fA("tibx_MVSConsole_SetConsumer",new Array("91#3103366"));
B=A.fA("Topic",new Array("40"));
B=A.fA("tracing");
C=B.fA("client",new Array("75#3433209"));
B=A.fA("translation, character encoding",new Array("12"));
B=A.fA("type conversion",new Array("20"));
A=P.fA("U",null,null,"002");
B=A.fA("Unicode",new Array("12"));
A=P.fA("W",null,null,"002");
B=A.fA("Write");
C=B.fA("BytesMessage",new Array("22#2851612"));
C=B.fA("StreamMessage",new Array("25#1768346"));
A=P.fA("X",null,null,"002");
B=A.fA("XA (not supported)",new Array("10#2120710"));
B=A.fA("XID",new Array("69"));
}

function  WWHBookData_MaxIndexLevel()
{
  return 3;
}
